"{ Package: 'jv:libgdbs/tests' }"

"{ NameSpace: Smalltalk }"

TestResource subclass:#GDBDebuggeesResource
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Tests'
!

!GDBDebuggeesResource class methodsFor:'documentation'!

documentation
"
    A test resource providing access to various
    test debuggees.

    [author:]
        Jan Vrany <jan.vrany@fit.cvut.cz>

    [instance variables:]

    [class variables:]

    [see also:]

"
! !

!GDBDebuggeesResource methodsFor:'accessing'!

binaryFactorial 
    | binary |

    binary := (Smalltalk getPackageDirectoryForPackage: self class package) / 'c' / 'factorial'.
    self assert: binary exists.
    self assert: binary isExecutable.
    ^ binary pathName

    "Created: / 28-02-2015 / 00:47:35 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

